Description

The latest rpm (0.1.6-2) works find. When attempting to start the latest source (after and including

90b83222b7b9b819d1b0ea8847fdda66d70a4088) I get the following errors:

=> Booting WEBrick

=> Rails 2.3.10 application starting on http://0.0.0.0:3000

=> Call with -d to detach

=> Ctrl-C to shutdown server

Exiting

/usr/lib/ruby/1.8/thread.rb:424:in `push': You have a nil object when you didn't expect it! (NoMethodError)

You might have expected an instance of Array.

The error occurred while evaluating nil.length  from /usr/lib/ruby/1.8/webrick/server.rb:51:in `initialize'

from /usr/lib/ruby/1.8/webrick/server.rb:51:in `times'

from /usr/lib/ruby/1.8/webrick/server.rb:51:in `initialize'

from /usr/lib/ruby/1.8/webrick/httpserver.rb:24:in `initialize'

from /opt/foreman/vendor/gems/rack-1.1.0/lib/rack/handler/webrick.rb:10:in `new'

from /opt/foreman/vendor/gems/rack-1.1.0/lib/rack/handler/webrick.rb:10:in `run'

from /opt/foreman/vendor/rails/railties/lib/commands/server.rb:111

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'

from ./script/server:3

From passenger:

Exception NoMethodError in application (undefined method `each' for nil:NilClass) (process 29047):

from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.2/lib/phusion_passenger/rack/request_handler.rb:85:in `process_request'

from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.2/lib/phusion_passenger/abstract_request_handler.rb:203:in `main_loop'

from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.2/lib/phusion_passenger/railz/application_spawner.rb:340:in

`start_request_handler'

from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.2/lib/phusion_passenger/railz/application_spawner.rb:298:in

`handle_spawn_application'

from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.2/lib/phusion_passenger/utils.rb:181:in `safe_fork'

from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.2/lib/phusion_passenger/railz/application_spawner.rb:296:in

`handle_spawn_application'

from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.2/lib/phusion_passenger/abstract_server.rb:337:in `__send__'

from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.2/lib/phusion_passenger/abstract_server.rb:337:in `main_loop'

from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.2/lib/phusion_passenger/abstract_server.rb:187:in `start_synchronously'

from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.2/lib/phusion_passenger/abstract_server.rb:154:in `start'

from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.2/lib/phusion_passenger/railz/application_spawner.rb:192:in `start'

from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.2/lib/phusion_passenger/spawn_manager.rb:257:in `spawn_rails_application'

from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.2/lib/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.2/lib/phusion_passenger/spawn_manager.rb:251:in `spawn_rails_application'

from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.2/lib/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.2/lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.2/lib/phusion_passenger/spawn_manager.rb:250:in `spawn_rails_application'

from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.2/lib/phusion_passenger/spawn_manager.rb:153:in `spawn_application'

from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.2/lib/phusion_passenger/spawn_manager.rb:282:in
`handle_spawn_application'

from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.2/lib/phusion_passenger/abstract_server.rb:337:in `__send__'

from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.2/lib/phusion_passenger/abstract_server.rb:337:in `main_loop'

from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.2/lib/phusion_passenger/abstract_server.rb:187:in `start_synchronously'

from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.2/bin/passenger-spawn-server:61

gem info:

LOCAL GEMS ***

archive-tar-minitar (0.5.2)

facter (1.3.8)

fastthread (1.0.7)

ffi (0.6.3)

json (1.5.1)

json_pure (1.4.3)

libvirt (0.2.0)

mime-types (1.16)

mocha (0.9.12)

mysql (2.7.4)

nokogiri (1.4.4)

passenger (2.2.11)

puppet (0.24.6)

rack (1.0.1)

rake (0.8.7)

rest-client (1.4.0)

rr (1.0.2)

shoulda (2.11.3)

sqlite3-ruby (1.2.4)

Associated revisions

Revision 6454273f - 03/15/2011 09:42 AM - Paul Kelly

Fixes #674 - Rails Queue class conflict with Orchestration Queue

Signed-off-by: Paul Kelly <paul.ian.kelly@googlemail.com>

History

#1 - 02/16/2011 11:00 PM - Kal McFate

Update on this, after chowning the entire git tree to foreman:foreman it works in passenger. However the same errors still result when using

./script/server

#2 - 02/17/2011 09:36 AM - Ohad Levy

- Status changed from New to Feedback

I can't reproduce it on my 5.5 rhel box.

for a simple upgrade I've used the RC rpm from http://yum.theforeman.org/test/RPMS/

the only two known issue with RHEL5 at the moment are:

rest-client gem which ships in epel is too old

ruby-libvirt is not yet in epel (see Virtual Machine Provisioning for other rpms)

can you try again using the rpm?

Thanks

#3 - 02/17/2011 10:29 AM - Kal McFate

Installed: http://yum.theforeman.org/test/RPMS/foreman-0.1.7-rc4.1.noarch.rpm

RHEL 5.6 box

Passenger works fine (which is good and what I use in prod)

WEBrick still throws same error (which is what for testing)
Since running under passenger works I suppose this is not a big deal but it is definitely different behavior than @0f29f96

#4 - 02/17/2011 02:30 PM - Ohad Levy

ok, I can reproduce the problem :-(

it seems that upgrading Ruby (i.e. using 1.87) solves the issue, which lead me think that maybe the recent upgrades within rails generate the error,

maybe c54834389 is the one actually generating the error.

#5 - 03/14/2011 05:04 AM - Ohad Levy

- Category set to Rails

- Status changed from Feedback to Assigned

- Assignee set to Paul Kelly

- Target version set to 0.2

#6 - 03/14/2011 05:37 AM - Paul Kelly

- Status changed from Assigned to Ready For Testing

This patch has been tested on my hand built machine. It does not use RHEL5 or EPEL environment so I do not know for sure that it will fix the issue.

It did on a test machine that I once built. Give it a go.

#7 - 03/15/2011 10:04 AM - Paul Kelly

- % Done changed from 0 to 100

Applied in changeset 6454273fc2a6bdf8e8fd776cc47bef7bb2382837.

#8 - 03/15/2011 10:04 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
